<?php
#
# HLstatsX - Real-time player and clan rankings and statistics for Half-Life 2
# http://www.hlstatsx.com/
# Copyright (C) 2006 Tobias Oetzel (Tobi@hlstatsx.com)
#
# HlstatsX is an enhanced version of HLstats made by Simon Garner
# HLstats - Real-time player and clan rankings and statistics for Half-Life
# http://sourceforge.net/projects/hlstats/
# Copyright (C) 2001  Simon Garner
#             
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

global $game;
$resultGames = $db->query("
        SELECT
            code,
            name
        FROM
            hlstats_Games
        WHERE
            hidden='0'
        ORDER BY
            name ASC 
        LIMIT 0,1

");
list($game) = $db->fetch_row($resultGames);

	
	
	// Search
	
	require(INCLUDE_PATH . "/search-class.inc");
	
	pageHeader(
		array("Search"),
		array("Search"=>"")
	);
	
	$sr_query = valid_request(strval($HTTP_GET_VARS["q"]), 0);
	$sr_type  = valid_request(strval($HTTP_GET_VARS["st"]), 0) or "player";
	$sr_game  = valid_request(strval($HTTP_GET_VARS["game"]), 0);
	
	$search = new Search($sr_query, $sr_type, $sr_game);
	
	$search->drawForm(array("mode"=>"search"));
	if ($sr_query || $sr_query == "0") $search->drawResults();
?>

